#!/bin/bash

set -e
set -u

# This file is included in the docker build by Dockerfile-postgresql

if [ ! -r "${PGDATA}/init_done.txt" ]; then
	echo "host all  all    0.0.0.0/0  trust" >> ${PGDATA}/pg_hba.conf
	echo "listen_addresses='*'" >> ${PGDATA}/postgresql.conf

	echo "Starting postgres..."
	postgres &

	sleep 10

	echo "Creating user..."
	psql --command "CREATE USER rocketgit WITH SUPERUSER PASSWORD 'rock';"

	echo "Creating database..."
	createdb -O rocketgit rocketgit

	touch "${PGDATA}/init_done.txt"
	wait
else
	echo "PostgreSQL is already configured..."
	postgres
fi
